document.querySelector('.btn-gestion-utilisateurs').addEventListener('click', function(event) {
    event.preventDefault();

    document.getElementById('container_modal');

    fetch('/user/list')
        .then(response => {
            if (!response.ok) {
                throw new Error('Erreur de chargement de la section Compte');
            }
            return response.text();
        })
        .then(html => {
            // Insérer le HTML dans le conteneur et l'afficher
            container_modal.innerHTML = html;
            container_modal.style.display = 'block';
        })
        .catch(error => {
            console.error('Erreur:', error);
        });
});

function addUser (event) {
    document.getElementById('container_modal');

    fetch('/user/add')
        .then(response => {
            if (!response.ok) {
                throw new Error('Erreur de chargement de la section Compte');
            }
            return response.text();
        })
        .then(html => {
            // Insérer le HTML dans le conteneur et l'afficher
            container_modal.innerHTML = html;
            container_modal.style.display = 'block';
        })
        .catch(error => {
            console.error('Erreur:', error);
        });
}
